libcarp-always-perl_0.12-1_all.deb


Advertisement

Description

libcarp-always-perl - Perl module to make warn and die noisy with stack backtraces

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcarp-always-perl
Package version: 0.12
Package release: 1
Package architecture: all
Package type: deb
Installed size: 50 B
Download size: 8.93 KB
Official Mirror: ftp.br.debian.org
Carp::Always is meant as a debugging aid. It can be used to make a script complain loudly with stack backtraces when warn()ing or die()ing. Thus, it is commonly used on the command line, to give more context to those mysterious warnings from deep down inside the module, without the need to edit code.

Alternatives

Requires

    Download

    Source package: libcarp-always-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcarp-always-perl deb package:
      # sudo apt-get install libcarp-always-perl

    Files

    • /usr/share/doc/libcarp-always-perl/changelog.Debian.gz
    • /usr/share/doc/libcarp-always-perl/changelog.gz
    • /usr/share/doc/libcarp-always-perl/copyright
    • /usr/share/man/man3/Carp::Always.3pm.gz
    • /usr/share/perl5/Carp/Always.pm

    Changelog

    2012-08-26 - Florian Schlichting <fschlich@zedat.fu-berlin.de> libcarp-always-perl (0.12-1) unstable; urgency=low * Imported Upstream version 0.12.

    2012-04-19 - Florian Schlichting <fschlich@zedat.fu-berlin.de> libcarp-always-perl (0.11-1) unstable; urgency=low * Imported Upstream version 0.11. * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0). * Bumped year of upstream copyright, and refreshed standalone license paragraphs. * Expanded the description a little. * Added myself to uploaders and copyright.

    2011-08-20 - Maximilian Gass <mxey@cloudconnected.org> libcarp-always-perl (0.10-1) unstable; urgency=low * Team upload [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Ryan Niebur ] * Update ryan52's email address [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Maximilian Gass ] * New upstream release * Increase debhelper compat level to 8 * Increase Standards-Version to 3.9.2 * Refer to /usr/share/common-licenses/GPL-1 in debian/copyright * Update copyright format * Add debian/source/format with 3.0 (quilt) * Update upstream copyright years

    2009-08-10 - Ryan Niebur <ryanryan52@gmail.com> libcarp-always-perl (0.09-1) unstable; urgency=low * Initial Release. (Closes: #540976)

    Advertisement
    Advertisement